# Uses of Class
org.kapott.hbci.GV.HBCIJobImpl

Packages that use HBCIJobImpl
Package
Description
org.kapott.hbci.dialog
org.kapott.hbci.GV
Dieses Package enthält alle Klassen zur internen Repräsentation von (Highlevel-)Jobs.
org.kapott.hbci.GV_Result
In diesem Package sind Klassen enthalten, die die Ergebnisse von HBCI-Jobs aufnehmen und auswerten.
org.kapott.hbci.manager
Package, welches diverse Klassen für den Zugriff auf die Funktionen von HBCI4Java enthält.

## Uses of HBCIJobImpl in org.kapott.hbci.dialog

Methods in org.kapott.hbci.dialog that return HBCIJobImpl
Modifier and Type
Method
Description
`HBCIJobImpl`
HBCIMessage.`findTask(String hbciCode)`
Sucht in der Nachricht nach einem Task mit dem angegebenen HBCI-Code.
`HBCIJobImpl`
HBCIMessageQueue.`findTask(String hbciCode)`
Sucht in der ganzen Queue nach einem Task mit dem angegebenen HBCI-Code.
Methods in org.kapott.hbci.dialog that return types with arguments of type HBCIJobImpl
Modifier and Type
Method
Description
`List<HBCIJobImpl>`
HBCIMessage.`getTasks()`
Liefert die Kopie der Task-Liste.
Methods in org.kapott.hbci.dialog with parameters of type HBCIJobImpl
Modifier and Type
Method
Description
`void`
HBCIMessage.`append(HBCIJobImpl task)`
Fuegt einen neuen Job zur Nachricht hinzu.

## Uses of HBCIJobImpl in org.kapott.hbci.GV

Subclasses of HBCIJobImpl in org.kapott.hbci.GV
Modifier and Type
Class
Description
`class`
`AbstractGVLastSEPA`
Abstrakte Basisklasse fuer die terminierten SEPA-Lastschriften.
`class`
`AbstractMultiGV`
`class`
`AbstractSEPAGV`
Abstrakte Basis-Klasse fuer JAXB-basierte SEPA-Jobs.
`class`
`GVAccInfo`
`class`
`GVCardList`
`class`
`GVChangePIN`
`final class`
`GVCustomMsg`
`final class`
`GVDauerDel`
`final class`
`GVDauerEdit`
`final class`
`GVDauerLastSEPAList`
Geschaeftsvorfall zum Abrufen der Liste der SEPA-Dauerlastschriften.
`class`
`GVDauerLastSEPANew`
Geschaeftsvorfall zum Anlegen eines neuen SEPA-Dauerlastschriftauftrages.
`final class`
`GVDauerList`
`final class`
`GVDauerNew`
`class`
`GVDauerSEPADel`
Geschaeftsvorfall zum Loeschen von SEPA-Dauerauftraegen.
`class`
`GVDauerSEPAEdit`
Geschaeftsvorfall zum Bearbeiten eines SEPA-Dauerauftrages.
`final class`
`GVDauerSEPAList`
Geschaeftsvorfall zum Abrufen der Liste der SEPA-Dauerauftraege.
`class`
`GVDauerSEPANew`
Geschaeftsvorfall zum Anlegen eines neuen SEPA-Dauerauftrages.
`final class`
`GVDonation`
`class`
`GVFestCondList`
`class`
`GVFestList`
`class`
`GVFestListAll`
`final class`
`GVInfoList`
`final class`
`GVInfoOrder`
`class`
`GVInstUebSEPA`
Job-Implementierung fuer SEPA-Instant Ueberweisungen.
`class`
`GVKontoauszug`
Implementierung des Geschaeftsvorfalls fuer den elektronischen Kontoauszug (HKEKA)
`class`
`GVKontoauszugPdf`
Implementierung des Geschaeftsvorfalls fuer den elektronischen Kontoauszug (HKEKP) im PDF-Format
`class`
`GVKUmsAll`
Implementierung des Geschaeftsvorfalls zum Abruf von Umsaetzen mit Angabe des Zeitraums (HKKAZ).
`class`
`GVKUmsAllCamt`
Implementierung des Geschaeftsvorfalls zum Abruf von Umsaetzen mit Angabe des Zeitraums im CAMT-Format (HKCAZ).
`final class`
`GVKUmsNew`
Implementierung des Geschaeftsvorfalls zum Abruf von neuen Umsaetzen (HKKAN).
`class`
`GVKUmsZeitSEPA`
Umsatzabfrage eines SEPA-Kontos
`class`
`GVLast`
`class`
`GVLastB2BSEPA`
Implementierung des HBCI-Jobs fuer die SEPA-B2B-Lastschrift.
`class`
`GVLastCOR1SEPA`
Implementierung des HBCI-Jobs fuer die SEPA-COR1-Lastschrift.
`class`
`GVLastSEPA`
Implementierung des HBCI-Jobs fuer die SEPA-Basis-Lastschrift.
`class`
`GVMultiLast`
`class`
`GVMultiLastB2BSEPA`
Implementierung des HBCI-Jobs fuer die SEPA-B2B-Multi-Lastschrift.
`class`
`GVMultiLastCOR1SEPA`
Implementierung des HBCI-Jobs fuer die SEPA-COR1-Multi-Lastschrift.
`class`
`GVMultiLastSEPA`
Implementierung des HBCI-Jobs fuer die SEPA-Basis-Multi-Lastschrift.
`class`
`GVMultiUeb`
`class`
`GVMultiUebSEPA`
Job-Implementierung fuer SEPA-Multi-Ueberweisungen.
`class`
`GVReceipt`
Geschaeftsvorfall fuer das Senden der Empfangsquittung mittels HKQTG.
`class`
`GVSaldoReq`
`final class`
`GVSaldoReqAll`
`class`
`GVSEPAInfo`
`final class`
`GVStatus`
`class`
`GVStornoLast`
`class`
`GVTAN2Step`
`class`
`GVTANList`
`class`
`GVTANMediaList`
`final class`
`GVTemplate`
`class`
`GVTermMultiUebSEPA`
Job-Implementierung fuer terminierte SEPA-Sammelueberweisungen.
`final class`
`GVTermUeb`
`final class`
`GVTermUebDel`
`final class`
`GVTermUebEdit`
`final class`
`GVTermUebList`
`class`
`GVTermUebSEPA`
Job-Implementierung fuer SEPA-Ueberweisungen.
`class`
`GVTermUebSEPADel`
Implementierung des HBCI-Jobs fuer die Löschung einer SEPA-Terminüberweisung.
`class`
`GVTermUebSEPAEdit`
Geschaeftsvorfall zum Bearbeiten einer SEPA-Termin-Ueberweisung.
`final class`
`GVTermUebSEPAList`
`class`
`GVUeb`
`final class`
`GVUebBZU`
`class`
`GVUebEil`
`class`
`GVUebForeign`
`class`
`GVUebGar`
`class`
`GVUebSEPA`
Job-Implementierung fuer SEPA-Ueberweisungen.
`class`
`GVUmb`
`class`
`GVUmbSEPA`
Job-Implementierung fuer SEPA-Umbuchungen.
`final class`
`GVWPDepotList`
`class`
`GVWPDepotUms`
Methods in org.kapott.hbci.GV that return HBCIJobImpl
Modifier and Type
Method
Description
`HBCIJobImpl`
GVTAN2Step.`redo()`
`HBCIJobImpl`
HBCIJobImpl.`redo()`
Liefert den ggf erneut auszufuehrenden Job.
Methods in org.kapott.hbci.GV with parameters of type HBCIJobImpl
Modifier and Type
Method
Description
`void`
GVTAN2Step.`setTask(HBCIJobImpl task)`
Speichert eine Referenz auf den eigentlichen Geschaeftsvorfall.

## Uses of HBCIJobImpl in org.kapott.hbci.GV_Result

Methods in org.kapott.hbci.GV_Result with parameters of type HBCIJobImpl
Modifier and Type
Method
Description
`void`
HBCIJobResultImpl.`setParentJob(HBCIJobImpl parentJob)`

## Uses of HBCIJobImpl in org.kapott.hbci.manager

Methods in org.kapott.hbci.manager with parameters of type HBCIJobImpl
Modifier and Type
Method
Description
`void`
HBCIDialog.`addTask(HBCIJobImpl job)`
`void`
ChallengeInfo.`applyParams(HBCIJobImpl task, HBCIJob hktan, Properties secmech)`
Uebernimmt die Challenge-Parameter in den HKTAN-Geschaeftsvorfall.